/// IMPORTING THIRD PARTY PACKAGES
import 'package:flutter/material.dart';

/// IMPORTING LOCAL PACKAGES
import 'package:zwap_design_system/atoms/atoms.dart';
import 'package:zwap_design_system/molecules/molecules.dart';

/// Component to rendering stat value with circular progress indicator
class ZwapCircularStat extends StatelessWidget{

  /// The stat value
  final double statValue;

  /// The stat progress color
  final Color statColor;

  /// The stat title
  final String statTitle;

  ZwapCircularStat({Key? key,
    required this.statValue,
    required this.statColor,
    required this.statTitle
  }): super(key: key);

  Widget build(BuildContext context){
    return Column(
      children: [
        Padding(
          padding: EdgeInsets.symmetric(vertical: 10),
          child: ZwapCircularPercentIndicator(
            radius: ZwapRadius.statusRadius,
            percent: this.statValue,
          ),
        ),
        Padding(
          padding: EdgeInsets.symmetric(vertical: 10),
          child: ZwapText(
            textColor: this.statColor,
            text: this.statTitle,
            zwapTextType: ZwapTextType.body1SemiBold,
          ),
        )
      ],
    );
  }

}